DParser binaries on Win32 with Python 2.4?

woodsplitter at rocketmail.com woodsplitter at rocketmail.com
Tue Jun 28 12:37:06 CEST 2005


Christopher Subich wrote:
> Compling the source on cygwin (with -mno-cygwin) succeeds in
> compilation, but then attempting to install results in:
>
> \Python24\python.exe setup.py install
> running install
> running build
> running build_py
> creating build
> creating build\lib.win32-2.4
> copying dparser.py -> build\lib.win32-2.4
> running build_ext
> building 'dparser_swigc' extension
> error: Python was built with version 7.1 of Visual Studio, and
> extensions need to be built with the same version of the compiler, but
> it isn't installed.
>
> I lack VS, and would prefer to stay using win32 Python rather than
> cygwin Python because I got twisted, which I also use, working on win32
> and not cygwin.  Any ideas?

1)  http://mingw.org
2)  python setup.py build --compiler=mingw32
3)  python setup.py install




More information about the Python-list mailing list